# Electromagnetic waves

This section is a direct follow up on the section [Maxwell equations](../maxwell-equations.md). Where the Laplacian of the electric field $\mathbf{E}: U \to \mathbb{R}^3$ and magnetic field $\mathbf{B}: U \to \mathbb{R}^3$ in vacuum ($\varepsilon = \varepsilon_0, \mu = \mu_0$) have been determined, given by

$$
\begin{align*}
    &\nabla^2 \mathbf{E}(\mathbf{v}, t) = \varepsilon_0 \mu_0 \partial_t^2 \mathbf{E}(\mathbf{v}, t) \\\\
    &\nabla^2 \mathbf{B}(\mathbf{v}, t) = \varepsilon_0 \mu_0 \partial_t^2 \mathbf{B}(\mathbf{v}, t)
\end{align*}
$$

for all $(\mathbf{v}, t) \in U$. 

It may be observed that the eletric and magnetic field comply with the $3 + 1$ dimensional wave equation posed in the section [waves](waves.md). Obtaining the speed $v \in \mathbb{R}$ given by

$$
    v = \frac{1}{\sqrt{\varepsilon_0 \mu_0}} = c,
$$

defined by $c$ the speed of light, or more generally the speed of information in the universe. Outside vacuum we have 

$$
    v = \frac{1}{\sqrt{\varepsilon \mu}} = \frac{c}{n},
$$

with $n = \sqrt{K_E K_B}$ the index of refraction. 

> *Proposition*: let $\mathbf{E},\mathbf{B}: U \to \mathbb{R}^3$, a solution for the wave equations of the electric and magnetic field may be harmonic linearly polarized plane waves satisfying Maxwell's equations given by
>
> $$
> \begin{align*}
> \mathbf{E}(\mathbf{v}, t) &= \text{Im}\Big(\mathbf{E}_0 \exp i \big(\langle \mathbf{k}, \mathbf{v} \rangle - \omega t+ \varphi\big) \Big) \\ \\ \mathbf{B}(\mathbf{v}, t) &= \text{Im} \Big(\mathbf{B}_0 \exp i \big(\langle \mathbf{k}, \mathbf{v} \rangle - \omega t+ \varphi\big) \Big)
> \end{align*}
> $$
>
> for all $(\mathbf{v}, t) \in U$ with $\mathbf{E}_0, \mathbf{B}_0 \in \mathbb{R}^3$. 

??? note "*Proof*:"

    Will be added later.

The above proposition gives an example of a light wave, but note that there are much more solutions that comply to Maxwell's equations.

> *Law*: the electric field $\mathbf{E}$ and the magnetic field $\mathbf{B}$ for all solutions of the posed wave equations are orthogonal to the direction of propagation $\mathbf{k}$. Therefore electromagnetic waves are transverse.

??? note "*Proof*:"

    Will be added later.

<br>

> *Law*: the electric field $\mathbf{E}$ and the magnetic field $\mathbf{B}$ in a electromagnetic wave are orthogonal to each other; $\langle \mathbf{E}, \mathbf{B} \rangle = 0$. 

??? note "*Proof*:"

    Will be added later.

<br>

> *Corollary*: it follows from the above law that the magnitude of the electric and magnetic fields $E, B: U \to \mathbb{R}$ in a electromagnetic wave are related by 
>
> $$
>   E(\mathbf{v}, t) = v B(\mathbf{v}, t)
> $$
>
> for all $(\mathbf{v}, t) \in U$ with $v = \frac{c}{n}$ the wave speed. 

??? note "*Proof*:"

    Will be added later.

## Energy flow

> *Law*: the energy flux density $\mathbf{S}: U \to \mathbb{R}^3$ of an electromagnetic wave is given by
>
> $$
>   \mathbf{S}(\mathbf{v}, t) = \frac{1}{\mu_0} \mathbf{E}(\mathbf{v}, t) \times \mathbf{B}(\mathbf{v}, t),
> $$
>
> for all $(\mathbf{v}, t) \in U$. $\mathbf{S}$ is also called the Poynting vector.

??? note "*Proof*:"

    Will be added later.

<br>

> *Definition*: the time average of the magnitude of $\mathbf{S}$ is called the irradiance. 

<br>

> *Proposition*: the irradiance $I \in \mathbb{R}$ for harmonic linearly polarized plane electromagnetic waves is given by
>
> $$
>   I = \frac{\varepsilon_0 c}{2} E_0^2,
> $$
>
> with $E_0$ the magnitude of $\mathbf{E}_0$. 

??? note "*Proof*:"

    Will be added later.
