# Geometric optics

> *Definition*: surfaces that reflect or refract rays leaving a source point $s$ to a conjugate point $p$ are defined as Cartesian surfaces.

<br>

> *Definition*: a perfect image of a point is possible with a stigmatic system. For the set of conjugated points no diffraction and abberations occur, obtaining reversible rays.

<br>

> *Assumption*: in geometric optics use will be made of the paraxial approximation that states that for small angles $\theta$ 
>
> $$
>   \tan \theta \approx \sin \theta \approx \theta,
> $$
>
> and 
>
> $$
>   \cos \theta \approx 1,
> $$
>
> comes down to using the first term of the Taylor series approximation.

<br>

## Spherical surfaces

> *Law*: for a spherical reflecting interface in paraxial approximation the relation between the object and image distance $s_{o,i} \in \mathbb{R}$ and the radius $R \in \mathbb{R}$ of the interface is given by
>
> $$
>   \frac{1}{s_o} + \frac{1}{s_i} = \frac{2}{R}
> $$
>
> with $n_{i,t} \in \mathbb{R}$ the index of refraction of the incident and transmitted medium. 

??? note "*Proof*:"

    Will be added later.

<br>

> *Definition*: for a object distance $s_0 \to \infty$ we let the image distance $s_i = f$ with $f \in \mathbb{R}$ the focal length defining the focal point of the spherical interface.

Then it follows from the definition that

$$
    \frac{1}{s_o} + \frac{1}{s_i} = \frac{1}{f}.
$$

> *Law*: for a spherical refracting interface in paraxial approximation the relation between the object and image distance $s_{o,i} \in \mathbb{R}$ and the radius $R \in \mathbb{R}$ of the interface is given by
>
> $$
>   \frac{n_i}{s_o} + \frac{n_t}{s_i} = \frac{n_t - n_i}{R}
> $$
> 
> with $n_{i,t} \in \mathbb{R}$ the index of refraction of the incident and transmitted medium. 

??? note "*Proof*:"

    Will be added later.

<br>

> *Definition*: the transverse magnification $M$ for a optical system is defined as
>
> $$
>   M = \frac{y'}{y}
> $$
>
> with $y, y' \in \mathbb{R}$ the object and image size.

<br>

> *Corollary*: the transverse magnification $M$ for a spherical refracting interface in paraxial approximation is by
>
> $$
>   M = - \frac{n_i s_i}{n_t s_o},
> $$
>
> with $s_{o,i} \in \mathbb{R}$ the object and image distance and $n_{i,t} \in \mathbb{R}$ the index of refraction of the incident and transmitted medium. 

??? note "*Proof*:"

    Will be added later.

<br>

> *Definition*: a lens is defined by two intersecting spherical interfaces with radius $R_1, R_2 \in \mathbb{R}$ respectively.

<br>

> *Law*: for a thin lens in paraxial approximation the radii $R_1, R_2 \in \mathbb{R}$ are related to the focal length $f \in \mathbb{R}$ of the lens by
>
> $$
>   \frac{1}{f} = \frac{n_t - n_i}{n_i} \bigg( \frac{1}{R_1} - \frac{1}{R_2} \bigg),
> $$
>
> with $n_{i,t} \in \mathbb{R}$ the index of refraction of the incident and transmitted medium. 
>
> With the transverse magnification $M$ given by
>
> $$
>   M = - \frac{s_i}{s_o},
> $$
>
> with the object and image distance $s_{o,i} \in \mathbb{R}$.

??? note "*Proof*:"

    Will be added later.

## Sign convention

Converging optics have positive focal lengths and diverging optics have negative focal lengths.

Objects are located left of the optic by a positive object distance and images are located right of the optic by a positive image distance.

## Ray tracing

> *Assumption*: using paraxial approximation and assuming that all optical elements have rotational symmetry and are aligned coaxially along a single optical axis.

A ray matrix model may be introduced where the ray is defined according to its intersection with a reference plane.

> *Definition*: a ray may be defined by its intersection with a reference plane by
>
> * the parameter $y \in \mathbb{R}$ is the perpendicular distance between the optical axis and the intersection point,
> * the angle $\theta \in [0, 2\pi)$ is the angle the ray makes with the horizontal.

<br>

> *Proposition*: for the translation of the ray between two reference planes within the same medium seperated by a horizontal distance $d \in \mathbb{R}$ the relation
>
> $$
>   \begin{pmatrix} y_2 \\ \theta_2 \end{pmatrix} = \begin{pmatrix} 1 & d \\ 0 & 1 \end{pmatrix} \begin{pmatrix} y_1 \\ \theta_1 \end{pmatrix},
> $$
>
> holds, for $y_{1,2} \in \mathbb{R}$ and $\theta_{1,2} \in [0, 2\pi)$. 

??? note "*Proof*:"

    Will be added later.

<br>

> *Proposition*: for the reflection of the ray at the plane of incidence at a spherical interface of radius $R \in \mathbb{R}$ the relation
>
> $$
>   \begin{pmatrix} y_2 \\ \theta_2 \end{pmatrix} = \begin{pmatrix} 1 & 0 \\ 2 / R & 1 \end{pmatrix} \begin{pmatrix} y_1 \\ \theta_1 \end{pmatrix},
> $$
>
> holds, for $y_{1,2} \in \mathbb{R}$ and $\theta_{1,2} \in [0, 2\pi)$. 

??? note "*Proof*:"

    Will be added later.

This matrix may also be given in terms of the focal length $f \in \mathbb{R}$ by

$$
    \begin{pmatrix} 1 & 0 \\ f & 1 \end{pmatrix}.
$$

> *Proposition*: fir the refraction of the ray at the plane of incidence at a spherical interfance of radius $R \in \mathbb{R}$ the relation
>
> $$
>   \begin{pmatrix} y_2 \\ \theta_2 \end{pmatrix} = \begin{pmatrix} 1 & 0 \\ - \frac{n_t - n_i}{n_t R} & \frac{n_i}{n_t} \end{pmatrix} \begin{pmatrix} y_1 \\ \theta_1 \end{pmatrix}
> $$
>
> holds, for $y_{1,2} \in \mathbb{R}$, $\theta_{1,2} \in [0, 2\pi)$ and $n_{i,t} \in \mathbb{R}$ the index of refraction of the incident and transmitted medium. 

??? note "*Proof*:"

    Will be added later.

This matrix may also be given in terms of the focal length $f \in \mathbb{R}$ by

$$
    \begin{pmatrix} 1 & 0 \\ -\frac{1}{f} & 1 \end{pmatrix}.
$$

> *Law*: the ray matrix model taken as a linear sequence of interfaces and translations can be used to model optical systems of arbitrary complexity under the posed assumptions.

??? note "*Proof*:"

    Will be added later.

## Abberations

> *Definition*: an abberation is any effect that prevents a lens from forming a perfect image.

Various abberations could be

* Spherical abberation: error of the paraxial approximation.
* Chromatic abberation: error due to different index of refraction for different wavelengths of light.
* Astigmatism: deviation from the cylindrical symmetry.
