# Waves

> *Definition*: a wave is a propagating disturbance transporting energy and momentum. A $1 + 1$ dimensional wave $\Psi: \mathbb{R}^2 \to \mathbb{R}$ travelling can be defined by a linear combination of a right and left travelling function $f,g: \mathbb{R} \to \mathbb{R}$ obtaining
>
> $$
>   \Psi(x,t) = f(x - vt) + g(x + vt),
> $$ 
>
> for all $(x,t) \in \mathbb{R}^2$ and $v \in \mathbb{R}$ the speed of the wave. Satisfies the $1 + 1$ dimensional wave equation
>
> $$
>   \partial_x^2 \Psi(x,t) = \frac{1}{v^2} \partial_t^2 \Psi(x,t).
> $$

The derivation of the wave equation can be obtained in section...

> *Theorem*: a right travelling harmonic wave $\Psi: \mathbb{R}^2 \to \mathbb{R}$ with $\lambda, T, A, \varphi \in \mathbb{R}$ the wavelength, period, amplitude and phase of the wave is given by
>
> $$
> \begin{align*}
>   \Psi(x,t) &= A \sin \big(k(x-vt) + \varphi\big), \\
>             &= A \sin(kx-\omega t + \varphi), \\
>             &= A \sin \Big(2\pi \Big(\frac{x}{\lambda} - \frac{t}{T} \Big) + \varphi \Big),
> \end{align*}
> $$
>
> for all $(x,t) \in \mathbb{R}^2$. With $k = \frac{2\pi}{\lambda}$ the wavenumber, $\omega = \frac{2\pi}{T}$ the angular frequency and $v = \frac{\lambda}{T}$ the wave speed. 

??? note "*Proof*:"

    Will be added later.

A right travelling harmonic wave $\Psi: \mathbb{R}^2 \to \mathbb{R}$ can also be represented in the complex plane given by

$$
    \Psi(x,t) = \text{Im} \big(A \exp i(kx - \omega t + \varphi )\big),
$$

for all $(x,t) \in \mathbb{R}^2$.

> *Theorem*: let $\Psi: \mathbb{R}^4 \to \mathbb{R}$ be a $3 + 1$ dimensional wave then it satisfies the $3 + 1$ dimensional wave equation given by
>
> $$
>   \nabla^2 \Psi(\mathbf{x},t) = \frac{1}{v^2} \partial_t^2 \Psi(\mathbf{x},t),
> $$
>
> for all $(\mathbf{x},t) \in \mathbb{R}^4$. 

??? note "*Proof*:"

    Will be added later.


We may formulate various solutions $\Psi: \mathbb{R}^4 \to \mathbb{R}$ for this wave equation. 

The first solution may be the plane wave that follows cartesian symmetry and can therefore best be described in a cartesian coordinate system $\mathbf{v}(x,y,z)$. The solution is given by

$$
    \Psi(\mathbf{v}, t) = \text{Im}\big(A \exp i(\langle \mathbf{k}, \mathbf{v} \rangle - \omega t + \varphi) \big),
$$

for all $(\mathbf{v}, t) \in \mathbb{R}^4$ with $\mathbf{k} \in \mathbb{R}^3$ the wavevector.

The second solution may be the cylindrical wave that follows cylindrical symmetry and can therefore best be described in a cylindrical coordinate system $\mathbf{v}(r,\theta,z)$. The solution is given by

$$
    \Psi(\mathbf{v}, t) = \text{Im}\Bigg(\frac{A}{\sqrt{\|\mathbf{v}\|}} \exp i(k \|\mathbf{v} \| - \omega t + \varphi) \Bigg),
$$

for all $(\mathbf{v}, t) \in \mathbb{R}^4$. 

The third solution may be the spherical wave that follows spherical symmetry and can therefore best be described in a spherical coordinate system $\mathbf{v}(r, \theta, \varphi)$. The solution is given by

$$
    \Psi(\mathbf{v}, t) = \text{Im}\Bigg(\frac{A}{\|\mathbf{v}\|} \exp i(k\|\mathbf{v}\| - \omega t + \varphi) \Bigg)
$$

for all $(\mathbf{v}, t) \in \mathbb{R}^4$. 

> *Principle*: the principle of superposition is valid for waves, since the solution space of the wave equation is linear. 

From this principle we obtain the property of constructive and destructive interference of waves.