# Fourier transformations

## Definition of the Fourier transform

> *Definition*: let $f, F: \mathbb{R} \to \mathbb{C}$, the Fourier transform of $f$ is given by 
>
> $$
>   F(\omega) = \int_{-\infty}^\infty f(t) e^{-i \omega t}dt,
> $$
>
> for all $\omega \in \mathbb{R}$. The inverse Fourier transform of $F$ is given by
>
> $$
>   f(t) = \frac{1}{2\pi} \int_{-\infty}^\infty F(\omega) e^{i \omega t} d\omega,
> $$
>
> for all $t \in \mathbb{R}$. Therefore $f$ and $F$ form a Fourier transform pair denoted by 
>
> $$
>   f \overset{\mathcal{F}}\longleftrightarrow F,
> $$
>
> therefore we have
>
> $$
> \begin{align*}
>   &f(t) = \mathcal{F}^{-1}[F(\omega)], \quad &\forall t \in \mathbb{R}, \\
>   &F(\omega) = \mathcal{F}[f(t)], \quad &\forall \omega \in \mathbb{R}.
> \end{align*}
> $$

## Properties of the Fourier transform

> *Proposition*: let $f, g, F, G: \mathbb{R} \to \mathbb{C}$, we have linearity given by
>
> $$
>   af(t) + bg(t) \overset{\mathcal{F}}\longleftrightarrow aF(\omega) + bG(\omega),
> $$
>
> with $a,b \in \mathbb{C}$. 

??? note "*Proof*:"

    Will be added later.

<br>

> *Proposition*: let $f,F: \mathbb{R} \to \mathbb{C}$, we have time shifting given by
>
> $$
>   f(t - t_0) \overset{\mathcal{F}}\longleftrightarrow F(\omega) e^{-i\omega t_0},
> $$
>
> with $t_0 \in \mathbb{R}$.

??? note "*Proof*:"

    Will be added later.

<br>

> *Proposition*: let $f,F: \mathbb{R} \to \mathbb{C}$, we have frequency shifting given by 
>
> $$
>   e^{i \omega_0 t} f(t) \overset{\mathcal{F}}\longleftrightarrow F(\omega - \omega_0)
> $$
>
> with $\omega_0 \in \mathbb{R}$. 

??? note "*Proof*:"

    Will be added later.

<br>

> *Proposition*: let $f,F: \mathbb{R} \to \mathbb{C}$, we have time or frequency scaling given by
>
> $$
>   f(t/a) \overset{\mathcal{F}}\longleftrightarrow |a| F(a\omega)
> $$
>
> with $a \in \mathbb{R}$.

??? note "*Proof*:"

    Will be added later.

<br>

> *Proposition*: let $f, g, F, G: \mathbb{R} \to \mathbb{C}$, we have time convolution given by
>
> $$
>   f(t) * g(t) \overset{\mathcal{F}}\longleftrightarrow F(\omega) G(\omega).
> $$

??? note "*Proof*:"

    Will be added later.

<br>

> *Proposition*: let $f, g, F, G: \mathbb{R} \to \mathbb{C}$, we have frequency convolution given by
>
> $$
>   f(t) g(t) \overset{\mathcal{F}}\longleftrightarrow \frac{1}{2\pi} F(\omega) * G(\omega).
> $$

??? note "*Proof*:"

    Will be added later.

<br>

> *Proposition*: let $f,F: \mathbb{R} \to \mathbb{C}$ be differentiable, we have time differentation given by
>
> $$
>   f'(t) \overset{\mathcal{F}}\longleftrightarrow i \omega F(\omega).
> $$

??? note "*Proof*:"

    Will be added later.

<br>

> *Proposition*: let $f,F: \mathbb{R} \to \mathbb{C}$ be differentiable, we have time integration given by
>
> $$
>   \int_{-\infty}^t f(u)du \overset{\mathcal{F}}\longleftrightarrow \frac{1}{i\omega} F(\omega) + \pi F(0)\delta(\omega).
> $$

??? note "*Proof*:"

    Will be added later.

<br>