# Signal filters

## The impedance

> *Proposition*: considering an ideal resistor $R \in \mathbb{R}$. When a voltage difference $v_i - v_o$ is applied to both ends a current $I: \mathbb{R} \to \mathbb{R}$ will be induced given by
>
> $$
>   v_i(t) - v_o(t) = R I(t),
> $$
>
> for all $t \in \mathbb{R}$. By taking the Fourier transform of both sides of the expression we find
>
> $$
>   V_i(\omega) - V_o(\omega) = R I(\omega),
> $$
>
> for all $\omega \in \mathbb{R}$ with $V_{i,o}: \mathbb{R} \to \mathbb{C}$ the fourier transforms of the voltage difference. 

??? note "*Proof*:"

    Will be added later.

<br>

> *Proposition*: considering a load coil with inductance $L \in \mathbb{R}$. When a voltage difference $v_i - v_o$ is applied to both ends a current $I: \mathbb{R} \to \mathbb{R}$ will be induced given by
>
> $$
>   v_i(t) - v_o(t) = L I'(t),
> $$
>
> for all $t \in \mathbb{R}$. By taking the Fourier transform of both sides of the expression we find
>
> $$
>   V_i(\omega) - V_o(\omega) = i \omega L I(\omega),
> $$
>
> for all $\omega \in \mathbb{R}$ with $V_{i,o}: \mathbb{R} \to \mathbb{C}$ the fourier transforms of the voltage difference. 

??? note "*Proof*:"

    Will be added later.

<br>

> *Proposition*: considering a capacitor with capacity $C \in \mathbb{R}$. When a voltage difference $v_i - v_o$ is applied to both ends a current $I: \mathbb{R} \to \mathbb{R}$ will be induced given by
>
> $$
>   v_i(t) - v_o(t) = \frac{1}{C} \int_{-\infty}^t I(t)dt,
> $$
>
> for all $t \in \mathbb{R}$. By taking the Fourier transform of both sides of the expression we find
>
> $$
>   V_i(\omega) - V_o(\omega) = \bigg(\frac{1}{i \omega C} + \frac{\pi \delta(\omega)}{C} \bigg) I(\omega),
> $$
>
> for all $\omega \in \mathbb{R}$ with $V_{i,o}: \mathbb{R} \to \mathbb{C}$ the fourier transforms of the voltage difference. 

??? note "*Proof*:"

    Will be added later.

<br>

> *Definition*: the complex impedance $Z: \mathbb{R} \to \mathbb{C}$ is defined as
>
> $$
>   V_i(\omega) - V_o(\omega) = Z(\omega) I(\omega)
> $$
>
> for all $\omega \in \mathbb{R}$. 

Therefore the complex impedance for the ideal resistor is given by $Z(\omega) = R$ and for the load coil $Z(\omega) = i \omega L$ for all $\omega \in \mathbb{R}$. 

> *Proposition*: the impedance elements $Z_i$ for $i \in \{1, \dots, n\}$ with $n \in \mathbb{N}$ in series can be summed to obtain $Z$
>
> $$
>   Z = Z_1 + \dots + Z_n.
> $$

??? note "*Proof*:"

    Will be added later.

<br>

> *Proposition*: the impedance elements $Z_i$ for $i \in \{1, \dots, n\}$ with $n \in \mathbb{N}$  in parallel can be inversely summed to obtain $Z$ 
>
> $$
>   \frac{1}{Z} = \frac{1}{Z_1} + \dots + \frac{1}{Z_n}.
> $$

??? note "*Proof*:"

    Will be added later.

<br>

## The transfer function

> *Definition*: the relation between the input and output voltage in the frequency domain $V_{i,o}: \mathbb{R} \to \mathbb{C}$ can be written as
>
> $$
>   V_o(\omega) = H(\omega) V_i(\omega),
> $$
>
> for all $\omega \in \mathbb{R}$ with $H: \mathbb{R} \to \mathbb{C}$ the transfer function.

The transfer function may be interpreted as a frequency filter of the signal. 

Some ideal filters are given in the list below

* a *low-pass* filter removes all frequency components $\omega > \omega_c$ with $\omega_c \in \mathbb{R}$ the cut-off frequency,
* a *high-pass* filter removes all frequency components $\omega < \omega_c$,
* a *band-pass* filter removes all frequency componets outside a particular frequency range,
* a *band-stop* filter removes all frequency compnents inside a particular frequency range. 