# Vectors and geometry

## Axiomatic geometry

The defining property of axiomatic geometry is that it can be introduced without any reference to a coordinate system. The 5 postulates of classical geometry are listed below.

1. A straight line segment can be drawn between any pair of two points.
2. A straight line segment can be extended indefinitely into a straight line.
3. A line segment is the radius of a circle with one of the end points as its center.
4. All right angles are congruent.

The fifth postulate as formulated below is only valid for Euclidean geometry; flat space informally. 

5. Given in a plane, a line and a point not on that line there is only one line through that point that does not intersect with the other line.

## Vectors

Referring to linear algebra section [vector spaces](../../../mathematics/linear-algebra/vector-spaces.md) for the axioms of the Euclidean vector space and its vector definitions. Some vector products in 3 dimensional Euclidean space are defined below

> *Definition*: the Euclidean scalar product of $\mathbf{u}, \mathbf{v} \in \mathbb{R}^3$ is given by
>
> $$
> \langle \mathbf{u}, \mathbf{v} \rangle := \|\mathbf{u}\| \|\mathbf{v}\| \cos \varphi,
> $$
>
> with $\|\mathbf{u}\|$ and $\|\mathbf{v}\|$ the length of $\mathbf{u}$ and $\mathbf{v}$ and the $\varphi$ the angle between $\mathbf{u}$ and $\mathbf{v}$. 

It follows than that for $\mathbf{v} = \mathbf{u}$ we have

$$
    \|\mathbf{u}\| = \langle \mathbf{u}, \mathbf{u} \rangle.
$$

> *Definition*: the Euclidean cross product of $\mathbf{u}, \mathbf{v} \in \mathbb{R}^3$ is given by 
>
> $$
>   \|\mathbf{u} \times \mathbf{v}\| :=  \|\mathbf{u}\| \|\mathbf{v}\| \sin \varphi,
> $$ 
>
> with $\|\mathbf{u}\|$ and $\|\mathbf{v}\|$ the length of $\mathbf{u}$ and $\mathbf{v}$ and the $\varphi$ the angle between $\mathbf{u}$ and $\mathbf{v}$. Defining the area of a parallelogram span by $\mathbf{u}$ and $\mathbf{v}$. The normal direction of the surface is obtained by not taking the length of the cross product.

The scalar and cross product can be combined obtaining a parallelepiped spanned by three 3-dimensional vectors. 

> *Definition*: the Euclidean scalar triple of $\mathbf{u}, \mathbf{v}, \mathbf{w} \in \mathbb{R}^3$ is given by
>
> $$
>   \langle \mathbf{u}, \mathbf{v}, \mathbf{w} \rangle := \langle \mathbf{u}, \mathbf{v} \times \mathbf{w} \rangle,
> $$
>
> defining the volume of a parallelepiped spanned by $\mathbf{u}, \mathbf{v}$ and $\mathbf{w}$.

Let $J$ be a $3 \times 3$ matrix given by $J = (\mathbf{u}^T, \mathbf{v}^T, \mathbf{w}^T)$, the Euclidean scalar product may also be defined as

$$
    \langle \mathbf{u}, \mathbf{v}, \mathbf{w} \rangle = \det (J),
$$

with $\mathbf{u}, \mathbf{v}, \mathbf{w} \in \mathbb{R}^3$. We also have that

$$
    \langle \mathbf{u}, \mathbf{v}, \mathbf{w} \rangle^2 = \det (J^TJ).
$$